Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::FaceShapeAreaOptions Struct Reference

`#include <AgoraBase.h>`

## Public Types
enum | FACE_SHAPE_AREA { FACE_SHAPE_AREA_NONE = -1 , FACE_SHAPE_AREA_HEADSCALE = 100 , FACE_SHAPE_AREA_FOREHEAD = 101 , FACE_SHAPE_AREA_FACECONTOUR = 102 , FACE_SHAPE_AREA_FACELENGTH = 103 , FACE_SHAPE_AREA_FACEWIDTH = 104 , FACE_SHAPE_AREA_CHEEKBONE = 105 , FACE_SHAPE_AREA_CHEEK = 106 , FACE_SHAPE_AREA_MANDIBLE = 107 , FACE_SHAPE_AREA_CHIN = 108 , FACE_SHAPE_AREA_EYESCALE = 200 , FACE_SHAPE_AREA_EYEDISTANCE = 201 , FACE_SHAPE_AREA_EYEPOSITION = 202 , FACE_SHAPE_AREA_LOWEREYELID = 203 , FACE_SHAPE_AREA_EYEPUPILS = 204 , FACE_SHAPE_AREA_EYEINNERCORNER = 205 , FACE_SHAPE_AREA_EYEOUTERCORNER = 206 , FACE_SHAPE_AREA_NOSELENGTH = 300 , FACE_SHAPE_AREA_NOSEWIDTH = 301 , FACE_SHAPE_AREA_NOSEWING = 302 , FACE_SHAPE_AREA_NOSEROOT = 303 , FACE_SHAPE_AREA_NOSEBRIDGE = 304 , FACE_SHAPE_AREA_NOSETIP = 305 , FACE_SHAPE_AREA_NOSEGENERAL = 306 , FACE_SHAPE_AREA_MOUTHSCALE = 400 , FACE_SHAPE_AREA_MOUTHPOSITION = 401 , FACE_SHAPE_AREA_MOUTHSMILE = 402 , FACE_SHAPE_AREA_MOUTHLIP = 403 , FACE_SHAPE_AREA_EYEBROWPOSITION = 500 , FACE_SHAPE_AREA_EYEBROWTHICKNESS = 501 }

## Public Member Functions
| FaceShapeAreaOptions (FACE_SHAPE_AREA shapeArea, int areaIntensity)
| FaceShapeAreaOptions ()

## Public Attributes
FACE_SHAPE_AREA | shapeArea
int | shapeIntensity

## Detailed Description

Since
  v4.4.0

## Member Enumeration Documentation

## ◆ FACE_SHAPE_AREA

enum agora::rtc::FaceShapeAreaOptions::FACE_SHAPE_AREA

Chooses the specific facial areas that need to be adjusted.

Since
  v4.4.0

Enumerator
FACE_SHAPE_AREA_NONE | -1: (Default) Invalid area; facial enhancement effects do not take effect.
FACE_SHAPE_AREA_HEADSCALE | (100): Head, used to achieve a smaller head effect. The value range is 0 to 100, and the default value is 50. The larger the value, the more noticeable the adjustment.
FACE_SHAPE_AREA_FOREHEAD | (101): Forehead, used to adjust the hairline height. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment.
FACE_SHAPE_AREA_FACECONTOUR | (102): Face contour, used to achieve a slimmer face effect. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment.
FACE_SHAPE_AREA_FACELENGTH | (103): Face length, used to achieve a longer face effect. The range is [-100, 100], with a default value of 0. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction.
FACE_SHAPE_AREA_FACEWIDTH | (104): Face width, used to achieve a narrower face effect. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment.
FACE_SHAPE_AREA_CHEEKBONE | (105): Cheekbone, used to adjust cheekbone width. The range is [0, 100], with a default value of The larger the value, the more noticeable the adjustment.The larger the value, the more noticeable the adjustment.
FACE_SHAPE_AREA_CHEEK | (106): Cheek, used to adjust cheek width. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment.
FACE_SHAPE_AREA_MANDIBLE | (107): Adjustment of the mandible. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_CHIN | (108): Chin, used to adjust chin length. The range is [-100, 100], with a default value of 0. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction.
FACE_SHAPE_AREA_EYESCALE | (200): Eyes, used to achieve a larger eye effect. The value range is 0 to 100, and the default value is 50. The larger the value, the more noticeable the adjustment.
FACE_SHAPE_AREA_EYEDISTANCE | (201): Eye distance adjustment. The range is [-100, 100], with a default value of 0. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_EYEPOSITION | (202): Eye position adjustment. The range is [-100, 100], with a default value of 0. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_LOWEREYELID | (203): Lower eyelid adjustment.(203): Lower eyelid adjustment. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_EYEPUPILS | (204): Pupil size adjustment. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_EYEINNERCORNER | (205): Inner eye corner adjustment. The range is [-100, 100], with a default value of 0. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_EYEOUTERCORNER | (206): Outer eye corner adjustment. The range is [-100, 100], with a default value of 0. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_NOSELENGTH | (300): Nose length, used to achieve a longer nose effect. The range is [-100, 100], with a default value of 0.
FACE_SHAPE_AREA_NOSEWIDTH | (301): Nose width, used to achieve a slimmer nose effect. The range is [0, 100], with a default value of 0. The larger the value, the more noticiable the effect of narrowing the nose. Since v4.6.0
FACE_SHAPE_AREA_NOSEWING | (302): Nose wing adjustment. The value range is 0 to 100, and the default value is 10. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_NOSEROOT | (303): Nose root adjustment. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_NOSEBRIDGE | (304): Nose bridge adjustment. The value range is 0 to 100, and the default value is 50. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_NOSETIP | (305): Nose tip adjustment. The value range is 0 to 100, and the default value is 50. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_NOSEGENERAL | (306): Overall nose adjustment. The range is [-100, 100], with a default value of 50. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_MOUTHSCALE | (400): Mouth, used to achieve a larger mouth effect. The range is [-100, 100], with a default value of 20. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_MOUTHPOSITION | (401): Mouth position adjustment. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_MOUTHSMILE | (402): Mouth smile adjustment. The value range is [0,1], and the default value is 0. The larger the value, the more noticeable the adjustment. Since v4.6.0
FACE_SHAPE_AREA_MOUTHLIP | (403): Lip shape adjustment. The range is [0, 100], with a default value of 0. The larger the value, the more noticeable the adjustment. Note v.4.6.0. Since v4.6.0
FACE_SHAPE_AREA_EYEBROWPOSITION | (500): Eyebrow position adjustment. The range is [-100, 100], with a default value of 0. The greater the absolute value, the more noticeable the adjustment. Negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_EYEBROWTHICKNESS | (501): Eyebrow thickness adjustment. The range is [-100, 100], with a default value of 0. The larger the value, the more noticeable the adjustment. Since v4.6.0

## Constructor & Destructor Documentation

## ◆ FaceShapeAreaOptions() [1/2]

agora::rtc::FaceShapeAreaOptions::FaceShapeAreaOptions | ( | FACE_SHAPE_AREA | shapeArea,
|  | int | areaIntensity )
| inline

## ◆ FaceShapeAreaOptions() [2/2]

agora::rtc::FaceShapeAreaOptions::FaceShapeAreaOptions | ( |  | ) |
| inline

## Member Data Documentation

## ◆ shapeArea

FACE_SHAPE_AREA agora::rtc::FaceShapeAreaOptions::shapeArea

Facial enhancement areas: `FACE_SHAPE_AREA`

## ◆ shapeIntensity

int agora::rtc::FaceShapeAreaOptions::shapeIntensity

The intensity of the enhancement. The definition of enhancement intensity varies according to the different face areas, such as its orientation, range, and preset value. See `FACE_SHAPE_AREA`.